package com.scbfkj.uni.library;

import java.util.*;

public class DataAliasGetUtil {

    private final static Map<String, List<String>> alias = new HashMap<>();

    static {
        alias.put("appid", List.of("appid", "app_id", "appId", "APPID"));
        alias.put("appsecret", List.of("appSecret", "app_secret", "APP_SECRET", "appsecret", "APPSECRET"));
        alias.put("sessionid", List.of("sessionId", "sessionid", "SESSIONID", "SESSION_ID", "session_id"));
        alias.put("requestip", List.of("requestIp", "requestip", "request_ip", "REQUEST_IP", "request_ip", "REQUESTIP", "ip"));
        alias.put("username", List.of("username", "userName", "user_name", "USER_NAME", "USERNAME"));
        alias.put("password", List.of("password", "pwd", "PWD", "PASSWORD"));
        alias.put("version", List.of("version", "Version", "VERSION"));
        alias.put("verifycode", List.of("verifycode", "verifyCode", "code"));
    }

    public static Optional<String> getValue(String key, Map<String, Object> data) {
        if(Objects.isNull(data) || data.isEmpty()) return Optional.empty();
        return alias.getOrDefault(key, Collections.singletonList(key)).stream().map(data::get).filter(Objects::nonNull).map(Object::toString).findAny();
    }
}
