package com.scbfkj.uni.system;

import com.scbfkj.uni.library.DataEncryptionUtil;
import jakarta.annotation.PostConstruct;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.stereotype.Component;

@Component
public class SystemInit {


    @Value("${db.center.config}")
    private String centerConfig;

    @Value("${db.security.config}")
    private String securityconfig;

    @Value("${cer.private-key}")
    private String privateKeyStr;

    @Value("${app.security.enable:true}")
    private boolean enableSecurity;


    private final static String TYPE = "RSA";

    private final static String ALGORITHM = "RSA/ECB/PKCS1Padding";


    @PostConstruct
    public void init() throws Exception {
        Config.enable = enableSecurity;
        Config.centerConnectionStr = DataEncryptionUtil.decryptByPrivateKey(centerConfig, privateKeyStr, TYPE, ALGORITHM);
        Config.securityConnectionStr = DataEncryptionUtil.decryptByPrivateKey(securityconfig, privateKeyStr, TYPE, ALGORITHM);
    }
}
